using AutoTurnOver.Services;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace ShortagePush
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("推送缺货数据服务");
            //new ReportServices().ShortagePush();
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<ShortagePushBackgroundService>();
            });

            await builder.RunConsoleAsync();
        }
    }
}
